org.eclipse.wst.jsdt.chromium.debug.core.util

## Class JsValueStringifier

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.util.JsValueStringifier

    public class JsValueStringifier
    extends java.lang.Object

A converter of JsValues into human-readable strings used in various contexts.

### Nested Class Summary

Nested Classes
`static class` `JsValueStringifier.Config` A configuration class

### Constructor Summary

Constructors
Constructor and Description
`JsValueStringifier()` Use the default config values.
`JsValueStringifier(JsValueStringifier.Config config)` Use the specified `config` data.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `render(JsValue value)`
`static java.lang.String` `toVisibleString(JsValue value)` Constructs a visible string for the given `value` (without exposing the value structure).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsValueStringifier

    public JsValueStringifier()

Use the default config values.

#### JsValueStringifier

    public JsValueStringifier(JsValueStringifier.Config config)

Use the specified `config` data.

Parameters:
  `config` - to use when rendering values.

### Method Detail

#### toVisibleString

    public static java.lang.String toVisibleString(JsValue value)

Constructs a visible string for the given `value` (without exposing the value structure). Encloses JavaScript string values in double quotes.

Parameters:
  `value` - to build a visible string for
Returns:
  `value.getValueString()` (enclosed in double quotes if `value.getType() == TYPE_STRING`), or `null` if `value==null`

#### render

    public java.lang.String render(JsValue value)